%global git_ver 6ec2af5
%global applet_name active-window-control
%global date 20230312

Summary: Plasmoid which shows active window title and icon

Name:    plasma-applet-%{applet_name}
Version: 1.7.4
Release: %{?git_ver:0.3.git.%{git_ver}}%{?dist}
License: GPLv2.0 LGPLv2.0
##Orignal URL: https://github.com/kotelnik/plasma-applet-%{applet_name}
URL: https://github.com/KDE/plasma-%{applet_name}
Source0: plasma-%{applet_name}-%{date}.git%{git_ver}.tar.xz

BuildRequires: gcc-c++
BuildRequires: cmake >= 3.0
BuildRequires: extra-cmake-modules >= 0.0.11 
BuildRequires: qt5-qtbase-devel >= 5.4.0
BuildRequires: qt5-qtdeclarative-devel >= 5.4.0
BuildRequires: qt5-qtx11extras-devel >= 5.4.0
BuildRequires: kf5-kwindowsystem-devel >= 5.0.0
BuildRequires: kf5-plasma-devel >= 5.0.0
BuildRequires: kf5-ki18n-devel >= 5.26.0
BuildRequires: libSM-devel >= 1.2.3

%description
Plasmoid which just show active window title and icon.
Also allows to close active window with cross icon
(its location can be configured) and some other actions
(like present-windows effect etc).
This plasmoid is particularly useful when using
BorderlessMaximizedWindows=true setting (in ~/.config/kwinrc under [Windows] section).
This option can now be turned on/off directly from widget settings.

%prep
%autosetup -n plasma-%{applet_name}-%{date}.git%{git_ver}

%build
%cmake
%cmake_build
%cmake_install

%files
%doc INSTALL LICENSES/*
%{_libdir}/qt5/plugins/plasma/applets/plasma_applet_activewindowcontrol.so
%{_libdir}/qt5/qml/org/kde/private/activeWindowControl/libappmenuplugin.so
%{_libdir}/qt5/qml/org/kde/private/activeWindowControl/qmldir
%{_datadir}/kservices5/plasma-applet-org.kde.activeWindowControl.desktop
%{_datadir}/metainfo/org.kde.activeWindowControl.appdata.xml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/config/config.qml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/config/main.xml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/icons/breeze-dark/alldesktops.svg
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/icons/breeze-dark/close.svg
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/icons/breeze-dark/maximize.svg
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/icons/breeze-dark/minimize.svg
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/icons/default/alldesktops.svg
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/icons/default/close.svg
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/icons/default/maximize.svg
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/icons/default/minimize.svg
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/ui/AppMenu.qml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/ui/ControlButton.qml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/ui/config/ConfigAppMenu.qml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/ui/config/ConfigAppearance.qml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/ui/config/ConfigBehaviour.qml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/ui/config/ConfigButtons.qml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/ui/config/ConfigMouseControl.qml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/ui/config/IconPicker.qml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/ui/config/OrderableItem.qml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/ui/config/OrderableListView.qml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/metadata.desktop
%{_datadir}/plasma/plasmoids/org.kde.activeWindowControl/metadata.json
%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_org.kde.activeWindowControl.mo

%changelog
* Thu Jul 13 2023 Tomas Chang <changyp6@gmail.com> - 1.7.4-git6ec2af5
- Update to latest git

* Tue Aug 02 2022 Tomas Chang <changyp6@gmail.com> - 1.7.4-gitc36e51c
- Update to latest git

* Wed Feb 16 2022 Tomas Chang <changyp6@gmail.com> - 1.7.4-git9baef4f
- Initial build
